/* Google Fonts */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap");
* {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  scroll-padding-top: 2rem;
  scroll-behavior: smooth;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
}

:root {
  --main-color: #09662c;
  --text-color: #171427;
  --bg-color: #fff;
}

img {
  width: 100%;
}

body {
  color: var(--text-color);
}

.container {
  max-width: 1068px;
  margin: auto;
  width: 100%;
}

section {
  padding: 4rem 0 3rem;
}
/* Header--------------------------------------------------------------------------------------------------------------------- */

  header {
    display: block;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
  }
  
  header.shadow {
    background: var(--bg-color);
    box-shadow: 4px 4px 20px rgb(15 54 55 / 10%);
    transition: 0.5s ease;
  }
  
  header.shadow #search-icon {
    color: var(--text-color);
  }
  
  .nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 35px;
  }
  
  #menu-icon {
    font-size: 24px;
    cursor: pointer;
    color: var(--text-color);
    display: none;
  }
  
  .logo {
    font-size: 3rem;
    font-weight: 700;
    color: var(--text-color);
  }
  
  .navbar {
    display: flex;
    column-gap: 2rem;
  }


  .navbar a {
    color: var(--text-color);
    font-size: 1rem;
    text-transform: uppercase;
    font-weight: 500;
  }


  .navbar a:hover,
  .navbar .active {
    color: var(--main-color);
    border-bottom: 3px solid var(--main-color);
  }
  
  

#cart-icon {
  font-size: 1.8rem;
  cursor: pointer;
}



/* Cart -----------------------------------------------------------------------------------------------*/
.cart {
  position: fixed;
  top: 0;
  right: -100%;
  width: 360px;
  min-height: 100vh;
  padding: 20px;
  background: var(--bg-color);
  box-shadow: -2px 0 4px hsl(0 4% 15% / 10%);
  transition: 0.3s;
}

.cart.active {
  right: 0;
}

.cart-title {
  text-align: center;
  font-size: 1.5rem;
  font-weight: 600;
  margin-top: 2rem;
}

.cart-box {
  display: grid;
  grid-template-columns: 32% 50% 18%;
  align-items: center;
  gap: 1rem;
  margin-top: 1rem;
}

.cart-img {
  width: 100px;
  height: 100px;
  object-fit: contain;
  padding: 10px;
}

.detail-box {
  display: grid;
  row-gap: 0.5rem;
}


.cart-product-title {
  font-size: 1rem;
  text-transform: uppercase;
}


.cart-price {
  font-weight: 500;
}



.cart-quantity {
  border: 1px solid var(--text-color);
  outline-color: var(--main-color);
  width: 2.4rem;
  text-align: center;
  font-size: 1rem;
}



.cart-remove {
  font-size: 24px;
  color: var(--main-color);
  cursor: pointer;
}



.total {
  display: flex;
  justify-content: flex-end;
  margin-top: 1.5rem;
  border-top: 1px solid var(--text-color);
}



.total-title {
  font-size: 1rem;
  font-weight: 600;
}


.total-price {
  margin-left: 0.5rem;
}



.btn-buy {
  display: flex;
  margin: 1.5rem auto 0 auto;
  padding: 12px 20px;
  border: none;
  background: var(--main-color);
  color: var(--bg-color);
  font-size: 1rem;
  font-weight: 500;
  cursor: pointer;
}




.btn-buy:hover {
  background: var(--text-color);
}



#close-cart {
  position: absolute;
  top: 1rem;
  right: 0.8rem;
  font-size: 2rem;
  color: var(--text-color);
  cursor: pointer;
}


.section-title {
  font-size: 1.5rem;
  font-weight: 600;
  text-align: center;
  margin-bottom: 1.5rem;
}

.shop {
  margin-top: 2rem;
}





/* Shop Content---------------------------------------------------------------- */
.shop-content {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, auto));
  gap: 1.5rem;
}
.product-box {
  position: relative;
}
.product-box:hover {
  padding: 10px;
  border: 1px solid var(--text-color);
  transition: 0.4s;
}


.product-img {
  width: 100%;
  height: auto;
  margin-bottom: 0.5rem;
}

.product-title {
  font-size: .7rem;
  font-weight: 600;
  text-transform: uppercase;
  margin-bottom: 0.5rem;
}


.price {
  font-weight: 500;
  font-size: .8rem;
}

.add-cart {
  position: absolute;
  bottom: 0;
  right: 0;
  background: var(--text-color);
  color: var(--bg-color);
  padding: 10px;
  cursor: pointer;
}

.add-cart:hover {
  background: hsl(249, 32%, 17%);
}



/*---footer--------------------------------------------------------------*/
.footer {
  background: var(--bg-color);
  color: #f6f6f6;
  border-top: 1px solid var(--text-color);
}

.footer-container {
  display: flex;
  justify-content: space-between;
  gap: 1rem;
}


.footer-container .logo {
  color: var(--text-color);
  margin-bottom: 1rem;
}

.footer-container .footer-box {
  display: flex;
  flex-direction: column;
}

.social {
  display: flex;
  align-items: center;
}


.social a {
  font-size: 24px;
  color: var(--bg-color);
  margin-right: 1rem;
}


.social a:hover {
  color: var(--main-color);
}


.footer-box h3 {
  font-size: 1.1rem;
  font-weight: 400;
  margin-bottom: 1rem;
}

.footer-box a,
.footer-box p {
  color: #818181;
  margin-bottom: 10px;
}

.footer-box a:hover {
  color: var(--main-color);
}


.copyright {
  padding: 20px;
  font-size: .5rem;
  text-align: center;
  color: var(--bg-color);
  background: var(--text-color);
}






/* Breakpoints / Making Responsive */
@media (max-width: 1080px) {
  .nav {
    padding: 15px;
  }
  section {
    padding: 3rem 0 2rem;
  }
  .container {
    margin: 0 auto;
    width: 90%;
  }
  .shop {
    margin-top: 2rem !important;
  }
}
@media (max-width: 400px) {
  .nav {
    padding: 11px;
  }
  .logo {
    font-size: 1rem;
  }
  .cart {
    width: 320px;
  }
}
@media (max-width: 360px) {
  .shop {
    margin-top: 1rem !important;
  }
  .cart {
    width: 280px;
  }
}





/* Responsive ------------------------------------------------*/
@media (max-width: 1080px) {

  .logo{
    font-size: 2rem;
  }
  .container {
    margin-left: 1rem;
    margin-right: 1rem;
  }
}


@media (max-width: 991px) {
  .nav {
    padding: 15px 20px;
  }

  section {
    padding: 3rem 0 1rem;
  }

  .home-text {
    padding-left: 2rem;
  }

  .home-text h1 {
    font-size: 2.1rem;
  }
}


@media (max-width: 920px) {
  #search-icon {
    color: var(--text-color);
  }
}



@media (max-width: 768px) {
  .search-box input {
    padding: 15px;
  }


  .nav {
    padding: 10px 0;
  }

  #menu-icon {
    display: initial;
  }


  .navbar {
    position: absolute;
    top: 100%;
    right: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    background: transparent;
    row-gap: 0.5rem;
    text-align: center;
    box-shadow: 4px 4px 20px rgb(15 54 55 / 20%);
    clip-path: circle(0% at 0% 0%);
    transition: 0.6s;
  }

  .navbar a {
    display: block;
    padding: 15px;
  }


  .navbar a:hover,
  .navbar .active {
    border: 1px solid var(--main-color) ;
    background:transparent;
    color: var(--bg-color);
  }

  .navbar.active {
    clip-path: circle(144% at 0% 0%);
  }

  .blog-container .box {
    padding: 4px;
  }
}


@media (max-width: 727px) {
  .heading span {
    font-size: 0.9rem;
  }
  .heading h2 {
    font-size: 1.4rem;
  }
  .about {
    flex-direction: column-reverse;
  }
  .about-text {
    text-align: center;
  }
  .about-text h2 {
    font-size: 1.4rem;
  }
}



@media (max-width: 607px) {
  .footer-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }
}



@media (max-width: 360px) {
  .search-box input {
    padding: 11px;
  }

  .home {
    min-height: 500px;
  }

  .home-text h1 {
    font-size: 2rem;
  }


  .home-text p br {
    display: contents;
  }
}
